/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.tika.internal.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Jorge Díaz
 */
@ExtendedObjectClassDefinition(category = "infrastructure")
@Meta.OCD(
	id = "com.liferay.portal.tika.internal.configuration.TikaConfiguration",
	localization = "content/Language", name = "tika-configuration-name"
)
public interface TikaConfiguration {

	@Meta.AD(
		deflt = "false",
		description = "text-extraction-fork-process-enabled-description",
		name = "text-extraction-fork-process-enabled", required = false
	)
	public boolean textExtractionForkProcessEnabled();

	@Meta.AD(
		deflt = "application/x-tika-ooxml",
		description = "text-extraction-fork-process-mime-types-description",
		name = "text-extraction-fork-process-mime-types", required = false
	)
	public String[] textExtractionForkProcessMimeTypes();

	@Meta.AD(
		deflt = "dependencies/tika.xml",
		description = "tika-config-xml-description", name = "tika-config-xml",
		required = false
	)
	public String tikaConfigXml();

}